<?php

/**
 * Internationalization file for the DataValues extension.
 *
 * @since 0.1
 *
 * @licence GNU GPL v2+
 * @author Jeroen De Dauw < jeroendedauw@gmail.com >
 */

$messages = array();

/** English
 * @author Jeroen De Dauw
 */
$messages['en'] = array(
	'datavalues-desc' => 'Collection of objects representing various kinds of values',
	'version-datavalues' => 'DataValues',
);

/** Message documentation (Message documentation)
 * @author Shirayuki
 */
$messages['qqq'] = array(
	'datavalues-desc' => '{{desc|name=Data Values|url=http://www.mediawiki.org/wiki/Extension:DataValues}}',
	'version-datavalues' => 'Name of the DataValues extension collection, used on [[Special:Version]]',
);

/** Afrikaans (Afrikaans)
 * @author Naudefj
 */
$messages['af'] = array(
	'version-datavalues' => 'DataWaardes',
);

/** Arabic (العربية)
 * @author Antime
 * @author Tarawneh
 */
$messages['ar'] = array(
	'datavalues-desc' => 'مجموعة كائنات تمثل أنواع قيم مختلفة',
	'version-datavalues' => 'قيم البيانات',
);

/** Asturian (asturianu)
 * @author Xuacu
 */
$messages['ast'] = array(
	'datavalues-desc' => "Coleición d'oxetos que representen varies clases de valores",
	'version-datavalues' => 'Valores de datos',
);

/** Belarusian (Taraškievica orthography) (беларуская (тарашкевіца)‎)
 * @author Wizardist
 */
$messages['be-tarask'] = array(
	'datavalues-desc' => 'Збор аб’ектаў для прадстаўленьне розных відаў значэньняў',
	'version-datavalues' => 'DataValues',
);

/** Czech (česky)
 * @author Mormegil
 */
$messages['cs'] = array(
	'datavalues-desc' => 'Sbírka objektů reprezentujících různé druhy hodnot',
	'version-datavalues' => 'DataValues',
);

/** Danish (dansk)
 * @author Byrial
 */
$messages['da'] = array(
	'datavalues-desc' => 'Samling af objekter som repræsenterer forskelige slags værdier',
	'version-datavalues' => 'DataValues',
);

/** German (Deutsch)
 * @author Kghbln
 * @author Metalhead64
 */
$messages['de'] = array(
	'datavalues-desc' => 'Stellt eine Sammlung von Objekten bereit, die verschiedene Wertearten darstellen',
	'version-datavalues' => 'Erweiterungen bezüglich Datenwerten',
);

/** Zazaki (Zazaki)
 * @author Erdemaslancan
 * @author Mirzali
 */
$messages['diq'] = array(
	'version-datavalues' => 'ErcayêMelumati',
);

/** Lower Sorbian (dolnoserbski)
 * @author Michawiki
 */
$messages['dsb'] = array(
	'datavalues-desc' => 'Zběrka objektow, kótarež pśedstajaju wšake typy gódnotow',
	'version-datavalues' => 'Datowe gódnoty',
);

/** Greek (Ελληνικά)
 * @author Protnet
 */
$messages['el'] = array(
	'datavalues-desc' => 'Συλλογή αντικειμένων που αντιπροσωπεύουν διάφορα είδη τιμών',
);

/** Spanish (español)
 * @author Armando-Martin
 */
$messages['es'] = array(
	'datavalues-desc' => 'Colección de objetos que representan varias clases de valores',
	'version-datavalues' => 'Valores de datos',
);

/** Persian (فارسی)
 * @author Calak
 */
$messages['fa'] = array(
	'datavalues-desc' => 'مجموعه ای از اشیاء به نمایندگی از انواع مختلف ارزش',
	'version-datavalues' => 'مقدارهای داده',
);

/** French (français)
 * @author Gomoko
 */
$messages['fr'] = array(
	'datavalues-desc' => "Collection d'objets représentant différences sortes de valeurs",
	'version-datavalues' => 'DataValues',
);

/** Galician (galego)
 * @author Toliño
 */
$messages['gl'] = array(
	'datavalues-desc' => 'Colección de obxectos que representan varios tipos de valores',
	'version-datavalues' => 'Valores de datos',
);

/** Hebrew (עברית)
 * @author Amire80
 */
$messages['he'] = array(
	'datavalues-desc' => 'אוסף של עצמים שמייצגים סוגים שונים של ערכים',
	'version-datavalues' => 'DataValues',
);

/** Upper Sorbian (hornjoserbsce)
 * @author Michawiki
 */
$messages['hsb'] = array(
	'datavalues-desc' => 'zběrka objektow, kotrež wšelake typy hódnotow předstajeja',
	'version-datavalues' => 'Datowe hódnoty',
);

/** Hungarian (magyar)
 * @author Dj
 */
$messages['hu'] = array(
	'datavalues-desc' => 'Különbüző értékeket reprezentáló objektumok gyűjteménye',
	'version-datavalues' => 'Adatértékek',
);

/** Interlingua (interlingua)
 * @author McDutchie
 */
$messages['ia'] = array(
	'datavalues-desc' => 'Collection de objectos representante varie typos de valores',
	'version-datavalues' => 'Valores de datos',
);

/** Indonesian (Bahasa Indonesia)
 * @author Farras
 */
$messages['id'] = array(
	'datavalues-desc' => 'Kumpulan objek yang mewakili berbagai macam nilai',
	'version-datavalues' => 'DataValues',
);

/** Iloko (Ilokano)
 * @author Lam-ang
 */
$messages['ilo'] = array(
	'datavalues-desc' => 'Urnong dagiti banag a mangirepresenta kadagiti nadumaduma a kita dagiti pateg',
	'version-datavalues' => 'DataValues',
);

/** Italian (italiano)
 * @author Beta16
 */
$messages['it'] = array(
	'datavalues-desc' => 'Collezione di oggetti per rappresentare vari tipi di valori',
	'version-datavalues' => 'DataValues',
);

/** Japanese (日本語)
 * @author Fryed-peach
 * @author Shirayuki
 */
$messages['ja'] = array(
	'datavalues-desc' => 'さまざまな型の値を表現するオブジェクトのコレクション',
	'version-datavalues' => 'DataValues',
);

/** Korean (한국어)
 * @author 아라
 */
$messages['ko'] = array(
	'datavalues-desc' => '값의 다양한 종류을 나타내는 개체 모음집',
	'version-datavalues' => '데이터값',
);

/** Colognian (Ripoarisch)
 * @author Purodha
 */
$messages['ksh'] = array(
	'datavalues-desc' => 'En Versammlong von Projramm-Objäkte för ongerscheidlijje Zoote vun Wääte un Daate.',
	'version-datavalues' => 'DaateWääte',
);

/** Luxembourgish (Lëtzebuergesch)
 * @author Robby
 */
$messages['lb'] = array(
	'datavalues-desc' => 'Sammlung vun Objeten déi verschidden Zorte vu Wäerter representéieren',
	'version-datavalues' => 'DataValues',
);

/** Macedonian (македонски)
 * @author Bjankuloski06
 */
$messages['mk'] = array(
	'datavalues-desc' => 'Збир предмети што претставуваат разни видови на вредности',
	'version-datavalues' => 'ПодаточниВредности',
);

/** Malayalam (മലയാളം)
 * @author Praveenp
 */
$messages['ml'] = array(
	'datavalues-desc' => 'വിവിധ തരത്തിലുള്ള വിലകളെ പ്രതിനിധീകരിക്കുന്നവയുടെ ശേഖരം',
	'version-datavalues' => 'ഡേറ്റാവിലകൾ',
);

/** Malay (Bahasa Melayu)
 * @author Anakmalaysia
 */
$messages['ms'] = array(
	'datavalues-desc' => 'Koleksi objek-objek yang melambangkan pelbagai jenis nilai',
	'version-datavalues' => 'DataValues',
);

/** Norwegian Bokmål (norsk bokmål)
 * @author EvenT
 */
$messages['nb'] = array(
	'datavalues-desc' => 'Samling av objekter som representerer ulike typer verdier',
	'version-datavalues' => 'DataValues',
);

/** Dutch (Nederlands)
 * @author Siebrand
 */
$messages['nl'] = array(
	'datavalues-desc' => 'Verzameling objecten die verschillende soorten waarden vertegenwoordigen',
	'version-datavalues' => 'Gegevenswaarden',
);

/** Polish (polski)
 * @author Matma Rex
 */
$messages['pl'] = array(
	'datavalues-desc' => 'Zbiór obiektów reprezentujących różne rodzaje wartości',
	'version-datavalues' => 'DataValues',
);

/** Piedmontese (Piemontèis)
 * @author Borichèt
 * @author Dragonòt
 */
$messages['pms'] = array(
	'datavalues-desc' => "Colession d'oget rapresentant vàire sòrt ëd valor",
	'version-datavalues' => 'DataValues',
);

/** Brazilian Portuguese (português do Brasil)
 * @author Cainamarques
 * @author 555
 */
$messages['pt-br'] = array(
	'datavalues-desc' => 'Coleção de objetos representando vários tipos de valores',
	'version-datavalues' => 'DataValues',
);

/** tarandíne (tarandíne)
 * @author Joetaras
 */
$messages['roa-tara'] = array(
	'datavalues-desc' => 'Collezzione de oggette ca rappresendane diverse tipe de valore',
	'version-datavalues' => 'DataValues',
);

/** Russian (русский)
 * @author Ole Yves
 */
$messages['ru'] = array(
	'datavalues-desc' => 'Коллекция объектов, представляющих различные значения',
	'version-datavalues' => 'DataValues',
);

/** Sinhala (සිංහල)
 * @author Singhalawap
 */
$messages['si'] = array(
	'version-datavalues' => 'දත්තයේ අගයන්',
);

/** Swedish (svenska)
 * @author Lokal Profil
 * @author WikiPhoenix
 */
$messages['sv'] = array(
	'datavalues-desc' => 'Samling av objekt som representerar olika typer av värden',
	'version-datavalues' => 'Datavärden',
);

/** Tamil (தமிழ்)
 * @author மதனாஹரன்
 */
$messages['ta'] = array(
	'version-datavalues' => 'தரவுப்பெறுமானங்கள்',
);

/** Ukrainian (українська)
 * @author Base
 */
$messages['uk'] = array(
	'datavalues-desc' => "Набір об'єктів для представлення різних типів значень",
	'version-datavalues' => 'DataValues',
);

/** Vietnamese (Tiếng Việt)
 * @author Minh Nguyen
 */
$messages['vi'] = array(
	'datavalues-desc' => 'Bộ sưu tập các đối tượng đại diện cho các kiểu giá trị',
	'version-datavalues' => 'Giá trị dữ liệu',
);

/** Yiddish (ייִדיש)
 * @author פוילישער
 */
$messages['yi'] = array(
	'datavalues-desc' => 'זאמלונג פון אביעקטן וואס רעפרעזענטירן פארשידענע סארטן ווערטן',
	'version-datavalues' => 'דאטנווערטן',
);

/** Simplified Chinese (中文（简体）‎)
 * @author Yfdyh000
 */
$messages['zh-hans'] = array(
	'datavalues-desc' => '表示各种类型的值的对象集合',
	'version-datavalues' => 'DataValues',
);

/** Traditional Chinese (中文（繁體）‎)
 * @author Justincheng12345
 * @author Simon Shek
 */
$messages['zh-hant'] = array(
	'datavalues-desc' => '表示各種類型數值的對象集合',
	'version-datavalues' => 'DataValues',
);
